summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2009-01-29 06:06:45 +0000
committerMike Frysinger <vapier@gentoo.org>2009-01-29 06:06:45 +0000
commitb5a731437670a00388a9f19aa710d8ad4b39d4e5 (patch)
tree1020e0708936976072f4fd40d5cceb418bfb1d48 /eclass
parentEAPI=2; add back dropped ppc keyword (diff)
downloadgentoo-2-b5a731437670a00388a9f19aa710d8ad4b39d4e5.tar.gz
gentoo-2-b5a731437670a00388a9f19aa710d8ad4b39d4e5.tar.bz2
gentoo-2-b5a731437670a00388a9f19aa710d8ad4b39d4e5.zip
at least gcc-4.1 has problems with parallel installs, so use -j1 with it
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass7
1 files changed, 4 insertions, 3 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index f7301d9b54cf..27fc7c243a34 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.388 2009/01/29 00:11:26 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.389 2009/01/29 06:06:45 vapier Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -1646,7 +1646,8 @@ gcc-library_src_install() {
# Do the 'make install' from the build directory
cd "${WORKDIR}"/build
S=${WORKDIR}/build \
- emake DESTDIR="${D}" \
+ emake -j1 \
+ DESTDIR="${D}" \
prefix=${PREFIX} \
bindir=${BINPATH} \
includedir=${LIBPATH}/include \
@@ -1694,7 +1695,7 @@ gcc-compiler_src_install() {
done
# Do the 'make install' from the build directory
S=${WORKDIR}/build \
- emake DESTDIR="${D}" install || die
+ emake -j1 DESTDIR="${D}" install || die
# Punt some tools which are really only useful while building gcc
find "${D}" -name install-tools -prune -type d -exec rm -rf "{}" \;
# This one comes with binutils